Subject: bug#29938: closed (Re: [bug#29938] [PATCH 3/3] gnu: Add sound-juicer.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 11 Jan 2018 09:36:02 +0000

Your bug report

#29938: [PATCH] gnu: Add sound-juicer and it's dependencies.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29938: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29938
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#29938] [PATCH 3/3] gnu: Add sound-juicer.
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Cc: [email-masked], nee <[email-masked]>
Date: Thu, 11 Jan 2018 10:35:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] skribis:

> From: nee <[email-masked]>
>
> * gnu/packages/gnome.scm (sound-juicer): New variable.

Applied, thanks.

When I run it (not under GNOME), I get a dialog box saying:

  The currently selected audio profile is not available on your
  installation.

If I click on “Change Profile”, the dialog box pops up again.

Did you manage to get it running?

Also, do you think we should add it to the ‘gnome’ meta-package?

Thank you,
Ludo’.

Subject: [PATCH] gnu: Add sound-juicer and it's dependencies.
From: nee <[email-masked]>
To: [email-masked]
Date: Tue, 2 Jan 2018 01:54:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Happy gnu year everyone,
here are the patches for a very handy software for ripping audio CDs
(assuming I'll figure out how to configure git-send-email).

I tested it on GuixSD by ripping 4 music cds and it worked well with
it's usual quirks. If you want to test it keep in mind:
1. The CD must be mounted before you start sound-juicer.
2. When you switch the disc you should restart sound-juicer, or it might
not notice.